Subject: Re: bug#656: Glyphs in Private Use Area not displayed in Emacs CVS
From: Jason Rumney <[email-masked]>
To: [email-masked]
Cc: Alex Speed Kjeldsen <[email-masked]>
Date: Tue, 24 Feb 2009 21:44:03 +0800

Jason Rumney wrote:
> Looking at what you wrote above again, I think the problem is that 
> Emacs now looks in greater detail at which unicode characters fonts 
> have, rather than blindly using any iso10646-1 font for all unicode 
> characters. For characters in PUA you will need to explicitly tell 
> Emacs how to display them as follows, since Emacs cannot automatically 
> recognize which fonts contain the characters you want:
>
> (set-fontset-font "fontset-default"  '(#xe000 . #xf8ff) FONT-SPEC)

I have improved the documentation for fontsets, including adding several 
examples of the use of set-fontset-font, which seems to be the preferred 
way of specifying fonts for particular characters in Emacs 23.